org.apache.cassandra.db.partitions

## Interface BasePartitionIterator<I extends BaseRowIterator<?>>

- All Superinterfaces:
    java.lang.AutoCloseable, CloseableIterator<I>, java.util.Iterator<I>
  All Known Subinterfaces:
    ISSTableScanner, PartitionIterator, UnfilteredPartitionIterator
  All Known Implementing Classes:
    AbstractUnfilteredPartitionIterator, AggregationQueryPager.AggregationPartitionIterator, AggregationQueryPager.GroupByPartitionIterator, BasePartitions, BigTableScanner, BigTableScanner.EmptySSTableScanner, CompactionIterator, FilteredPartitions, Memtable.MemtableUnfilteredPartitionIterator, SingletonUnfilteredPartitionIterator

      public interface BasePartitionIterator<I extends BaseRowIterator<?>>
      extends CloseableIterator<I>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### close

          void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `CloseableIterator<I extends BaseRowIterator<?>>`

Copyright © 2018 The Apache Software Foundation